#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gspell
Version		:	1.8.3
Release		:	14.8.0.0%{?dist}
Summary		:	A flexible API to add spell checking to a GTK+ application
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://ftp.gnome.org/pub/gnome/sources/gspell
 

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	enchant
Buildrequires	:	gobject-introspection
Buildrequires	:	gtk3+
Buildrequires	:	gtk-doc
Buildrequires	:	iso-codes
Buildrequires	:	vala
Buildrequires	:	valgrind

#-----------------------------------------------------------------------------
%description
'%{name}' provides a flexible API to implement the spell checking
in a GTK+ application.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-schemas-compile			\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}-app1
%{_includedir}/%{name}-1/%{name}/%{name}.h
%{_includedir}/%{name}-1/%{name}/%{name}-*.h
%{_libdir}/lib%{name}-1.so*
%{_libdir}/pkgconfig/%{name}-1.pc
%{_libdir}/girepository-1.0/Gspell-1.typelib
%{_datadir}/gir-1.0/Gspell-1.gir
%{_datadir}/gtk-doc/html/%{name}-1.0/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}-1.0/*.devhelp2
%{_datadir}/gtk-doc/html/%{name}-1.0/style.css
%{_datadir}/vala/vapi/%{name}-1.{deps,vapi}
%{_datadir}/locale/*/LC_MESSAGES/%{name}-1.mo

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
